Bug Hunting Session
Bug 116385 - EDITING: Paste Special Link Checkbox fails to insert cell references when the source cell is blank (for rows)
Summary: EDITING: Paste Special Link Checkbox fails to insert cell references when the...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-03-13 16:53 UTC by raal
Modified: 2018-04-07 09:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2018-03-13 16:53:06 UTC
Description:
quite recent regression in 6.1

see bug 57274 comment 6  -  the copy, paste special worked for rows, but with actual master it doesn't work.

Steps to Reproduce:
1. open http://bugs.documentfoundation.org/attachment.cgi?id=70250
2. select source cells, range B6..E6, copy
3. select B11
4. paste here using Paste Special with 'Link' Checkbox activated


Actual Results:  
Cell E11 have a reference to cell E6 here and a zero being displayed,


Expected Results:
Cell E11 is blank


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Buovjaga 2018-03-14 19:33:42 UTC
Your Expected & Actual results are reversed.
When I paste, nothing changes in the document.
In 6.0.2 I get the replaced values and the zero.
Also, in 6.1 the warning dialog only has "OK".

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 6a9326803c01f4c9bc7da855053ce4e80646fad8
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 14th 2018

Arch Linux 64-bit
Version: 6.0.2.1.0+
Build ID: 6.0.2-1
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 2 Xisco Faulí 2018-03-19 17:53:34 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2018-02-25 17:26:42 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-02-26 22:14:43 +0100
commit	28488c94d697f169baaf4c67bf2c71287b503c43 (patch)
tree	124245dfe4d87a722fe441ddee97ec8dbfb5bc06
parent	94fa259e769b44f2c2ea7f1667b28f2c07489668 (diff)
convert corner case warningboxes with checkboxes

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara

Just for the record, I had to bisect it with gen environment...
Comment 3 Caolán McNamara 2018-03-20 13:01:38 UTC
should be yes/no not ok
Comment 4 Commit Notification 2018-03-20 16:25:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b4cb401b813ff026132fbd53b7b335880ed6dec

Resolves: tdf#116385 warning dialog should be yes/no not ok

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Buovjaga 2018-03-21 19:42:35 UTC
Fix verified!

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: fc3f43b6fe3df5e46ca869d5934d4c3333444881
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 21th 2018
Comment 6 Commit Notification 2018-04-07 09:53:52 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb6121156ceb0a1187600f8cad1eb00fdb2cb643

uitest for bug tdf#57274 and tdf#116385

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.